VismaBouwsoftAPICalls.v1_POST_Projects Method
v1_POST_Projects() as String

This API call is used to add a(n) Project

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /Projects
or
API Path: /Projects/{id}/Upload

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
pnr 1 tpLong 0 No Yes No
unr 1 tpLong 0 No Yes No
name 2 tpString 100 No Yes No
yourreference 2 tpString 50 No Yes No
list 2 tpString 50 No No No
group 2 tpString 50 No No No
address 2 tpString 63 No Yes No
addressline2 2 tpString 63 No Yes No
telephone1 2 tpString 25 No Yes No
gsm 2 tpString 25 No Yes No
countrycode 2 tpString 2 No Yes No
zipcode 2 tpString 15 No Yes No
city 2 tpString 40 No Yes No
state 2 tpString 40 No Yes No
distance 4 tpDouble 0 No Yes No
client_addressid 1 tpLong 0 Yes Yes No Addresses
client_name 2 tpString 150 No No No
client_telephone 2 tpString 25 No No No
client_gsm 2 tpString 25 No No No
client_email 2 tpString 100 No No No
client_readonly 5 tpBool 0 No No No
date_created 3 tpDate 0 No No No
date_approved 6 tpDateNullString 0 No No No
date_rejected 6 tpDateNullString 0 No No No
date_completed 6 tpDateNullString 0 No No No
ordernr 2 tpString 100 No Yes No
contractamount 8 tpCurrency 0 No No No
iscostplusproject 5 tpBool 0 No Yes No
isrealestateproject 5 tpBool 0 No Yes No
hasactualcosts 5 tpBool 0 No No No
archivenr 2 tpString 50 No Yes No
cadaster_department 2 tpString 50 No Yes No
cadaster_section 2 tpString 50 No Yes No
cadaster_nr 2 tpString 250 No Yes No
be_gewestplan 2 tpString 50 No Yes No
be_werkplaatsnr30bis 2 tpString 50 No Yes No
be_bpa 2 tpString 50 No Yes No
be_rup 2 tpString 50 No Yes No
lotnr 2 tpString 50 No Yes No
company_id 1 tpLong 0 Yes Yes No CompanyDetails
company_name 2 tpString 250 No No No
executiontime 1 tpLong 0 No Yes No
approved 5 tpBool 0 No No No
rejected 5 tpBool 0 No Yes No
completed 5 tpBool 0 No Yes No
parent_id 1 tpLong 0 No No No Projects
currentphase_id 1 tpLong 0 No No No
currentphase_title 2 tpString 50 No No No
active 5 tpBool 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/Projects

API Path: /Projects/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Projects

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: DPtfWxfDDGzSfrrOkfzRqlOAftfmfGVbfmOkzIrIUAGGOVOkkU

Query Parameters :
ParameterName: columns, ParameterValue: company_id=2,name=’Schilderen van API blokjes’

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 3320,
    "pnr": 2021060078,
    "unr": 0,
    "name": "Schilderen van API blokjes",
    "yourreference": "",
    "list": "",
    "group": "",
    "address": "",
    "addressline2": "",
    "telephone1": "",
    "gsm": "",
    "countrycode": "",
    "zipcode": "",
    "city": "",
    "state": "",
    "distance": 0,
    "client_addressid": 0,
    "client_name": "",
    "client_telephone": "",
    "client_gsm": "",
    "client_email": "",
    "client_readonly": false,
    "date_created": "2026–05–07",
    "date_approved": "",
    "date_rejected": "",
    "date_completed": "",
    "ordernr": "",
    "contractamount": 0.0,
    "iscostplusproject": false,
    "isrealestateproject": true,
    "hasactualcosts": false,
    "archivenr": "",
    "cadaster_department": "",
    "cadaster_section": "",
    "cadaster_nr": "",
    "be_gewestplan": "",
    "be_werkplaatsnr30bis": "",
    "be_bpa": "",
    "be_rup": "",
    "lotnr": "",
    "company_id": 2,
    "company_name": "Groensoft",
    "executiontime": 0,
    "approved": false,
    "rejected": false,
    "completed": false,
    "parent_id": 0,
    "currentphase_id": 3,
    "currentphase_title": "05. Price Request",
    "active": true,
    "ts_lastupdate": "2026–05–07 09:18:26"
  }
]
}

https://ra.bouwsoft.be/api/v1/Projects

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: fIUfWxfjGVzSfjOOlfzRqlbjfOmUfGGffmtkzrAOGPUGbOOfAI

Query Parameters :
ParameterName: columns, ParameterValue: company_id=1,name=’Project via API‘,address=’Gruuthof 23’,zipcode=’8490‘,countrycode=’BE’,city=’Varsenare’
ParameterName: calculateDistance, ParameterValue: False

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 3321,
    "pnr": 20250048,
    "unr": 0,
    "name": "Project via API",
    "yourreference": "",
    "list": "",
    "group": "",
    "address": "Gruuthof 23",
    "addressline2": "",
    "telephone1": "",
    "gsm": "",
    "countrycode": "BE",
    "zipcode": "8490",
    "city": "Varsenare",
    "state": "West-vlaanderen",
    "distance": 0,
    "client_addressid": 0,
    "client_name": "",
    "client_telephone": "",
    "client_gsm": "",
    "client_email": "",
    "client_readonly": false,
    "date_created": "2026–05–07",
    "date_approved": "",
    "date_rejected": "",
    "date_completed": "",
    "ordernr": "",
    "contractamount": 0.0,
    "iscostplusproject": false,
    "isrealestateproject": true,
    "hasactualcosts": false,
    "archivenr": "",
    "cadaster_department": "",
    "cadaster_section": "",
    "cadaster_nr": "",
    "be_gewestplan": "",
    "be_werkplaatsnr30bis": "",
    "be_bpa": "",
    "be_rup": "",
    "lotnr": "",
    "company_id": 1,
    "company_name": "Bouwsoft",
    "executiontime": 0,
    "approved": false,
    "rejected": false,
    "completed": false,
    "parent_id": 0,
    "currentphase_id": 3,
    "currentphase_title": "05. Price Request",
    "active": true,
    "ts_lastupdate": "2026–05–07 09:18:38"
  }
]
}

https://ra.bouwsoft.be/api/v1/Projects

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: bmGfWxfUfOzSfAjGVtzRqOVkfUIfIOAbjDDtztbfjtkGbVlmUD
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: columns, ParameterValue: company_id=1,name=’Project via API‘,address=’Gruuthof 23’,zipcode=’8490‘,countrycode=’BE’,city=’Varsenare’
ParameterName: calculateDistance, ParameterValue: true

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 3321,
    "pnr": 20250048,
    "unr": 0,
    "name": "Project via API",
    "yourreference": "",
    "list": "",
    "group": "",
    "address": "Gruuthof 23",
    "addressline2": "",
    "telephone1": "",
    "gsm": "",
    "countrycode": "BE",
    "zipcode": "8490",
    "city": "Varsenare",
    "state": "West-vlaanderen",
    "distance": 10.018000000000001,
    "client_addressid": 0,
    "client_name": "",
    "client_telephone": "",
    "client_gsm": "",
    "client_email": "",
    "client_readonly": false,
    "date_created": "2026–05–07",
    "date_approved": "",
    "date_rejected": "",
    "date_completed": "",
    "ordernr": "",
    "contractamount": 0.0,
    "iscostplusproject": false,
    "isrealestateproject": true,
    "hasactualcosts": false,
    "archivenr": "",
    "cadaster_department": "",
    "cadaster_section": "",
    "cadaster_nr": "",
    "be_gewestplan": "",
    "be_werkplaatsnr30bis": "",
    "be_bpa": "",
    "be_rup": "",
    "lotnr": "",
    "company_id": 1,
    "company_name": "Bouwsoft",
    "executiontime": 0,
    "approved": false,
    "rejected": false,
    "completed": false,
    "parent_id": 0,
    "currentphase_id": 3,
    "currentphase_title": "05. Price Request",
    "active": true,
    "ts_lastupdate": "2026–05–07 09:18:33"
  }
]
}

/Projects/{id}/Upload

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Projects/3320/Upload

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OjIfWxfmrjzSfrtGGfzRqVrOfUOAfGOUfbDkzIfItOAGltAGAI

Query Parameters :
ParameterName: folder, ParameterValue: testfolder

Body Parameters :
ParameterName: fileParameterValue: tptype.txt

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "name": "tptype.txt",
    "path_display": "",
    "path_lower": "",
    "id": "",
    "client_modified": "2026–05–07T09:18:27Z",
    "server_modified": "2026–05–07T09:18:27Z",
    "rev": "",
    "size": 425,
    "is_downloadable": true,
    "checksum": "oHsaCW9t2XSCB9yYGlOQpKxMDC8lPb3siWWj3LWVdDo="
  }
]
}